onEvent('recipes',(event)=>{
    const recipes = [
        {
            ritual_type: 'occultism:craft',
            activation_item: Item.of('occultism:book_of_binding_bound_foliot').weakNBT(),
            pentacle_id: 'occultism:craft_foliot',
            duration: 15,
            ritual_dummy: 'minecraft:egg',
            ingredients: [
                'occultism:spirit_attuned_crystal',
                'minecraft:string',
                'occultism:magic_lamp_empty' ,
                'minecraft:wheat_seeds'
            ],
            result: 'minecraft:chicken_spawn_egg',
            id: 'chicken'
        }
    ];

    recipes.forEach((recipe) => {
        recipe.type = 'occultism:ritual';

        recipe.activation_item = Ingredient.of(recipe.activation_item).toJson();
        if (recipe.item_to_use) {
            recipe.item_to_use = Ingredient.of(recipe.item_to_use).toJson();
        }
        recipe.ritual_dummy = Ingredient.of(recipe.ritual_dummy).toJson();
        recipe.ingredients = recipe.ingredients.map((input) => Ingredient.of(input).toJson());
        recipe.result = Item.of(recipe.result).toJson();

        event.custom(recipe).id(recipe.id);
    });
})